<?php

/*
CREATE DATABASE `test`;

CREATE TABLE IF NOT EXISTS `country` (
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `continent` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `country` (`code`, `continent`, `name`) VALUES
('IT', 'EU', 'Italy'),
('SM', 'EU', 'San Marino'),
('US', 'NA', 'United States'),
('GB', 'EU', 'Great Britain');

*/

require('class/database.php');
require('class/FormBuilder.php');

$db = new Database('localhost','root','root','test');
$file = 'form02.xml';
$form = new FormBuilder($file, $db);
$form->setAction(basename(__FILE__));

if(!empty($_POST))
{
	$form->setValues($_POST);
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>FormBuilder</title>

	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

	<link href="css/form.css" media="all" rel="stylesheet" type="text/css" />
	<link href="css/smoothness/jquery-ui-1.7.1.custom.css" media="screen" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="js/jquery.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.7.2.custom.min.js"></script>
	<script type="text/javascript" src="js/datepicker.js"></script>
	<script type="text/javascript" src="js/jquery.maskedinput-1.2.2.js"></script>
	<script type="text/javascript" src="js/jquery.validate.min.js"></script>
	<script type="text/javascript" src="js/jquery.validate.additional-methods.js"></script>
	<!-- traduzione messaggi in italiano -->
	<!--script type="text/javascript" src="js/jquery.validate.messages_it.js"></script-->

	<style type="text/css">
		ul{
			float:left;
			margin:0;
			padding:0
		}
		ul li{
			float:left;
			border-right:1px solid black;
			margin-left:10px;
			padding-right:10px;
			list-style-image:none;
			list-style-position:outside;
			list-style-type:none;
		}
		.clear_both{clear:both}
	</style>
</head>
<body>

<ul>
	<li><a href="index.php">&laquo; Back to examples list</a></li>
	<li><a href="form02.phps" target="_blank">View PHP source</a></li>
	<li><a href="form02.xml" target="_blank">View XML source</a></li>
</ul>
<div class="clear_both"></div>

<?php

echo $form->print_form(false,true);

if(!empty($_POST))
{
	echo 'POST:<pre>', print_r( $_POST ,true), '</pre>';
}

?>

<script type="text/javascript">

	$(function(){

		$('#reset').click(function(){
			document.location = '?reset=1';
		});
	})

</script>
</body>
</html>